/*
 * OSM NB API featuring ETSI NFV SOL005
 * This is Open Source MANO Northbound API featuring ETSI NFV SOL005. For more information on OSM, you can visit [http://osm.etsi.org](http://osm.etsi.org). You can send us your comments and questions to OSM_TECH@list.etsi.org or join the [OpenSourceMANO Slack Workplace](https://join.slack.com/t/opensourcemano/shared_invite/enQtMzQ3MzYzNTQ0NDIyLWVkNTE4ZjZjNWI0ZTQyN2VhOTI1MjViMzU1NWYwMWM3ODI4NTQyY2VlODA2ZjczMWIyYTFkZWNiZmFkM2M2ZDk) 
 *
 * OpenAPI spec version: 1.0.0
 * Contact: OSM_TECH@list.etsi.org
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.lcm.nfvo.osm.rest.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

/**
 * InstantiateNsRequestAdditionalParamsForVdu
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-03-04T13:48:18.253Z[GMT]")
public class InstantiateNsRequestAdditionalParamsForVdu {
  @SerializedName("vdu_id")
  private String vduId = null;

  @SerializedName("additionalParams")
  private Map<String, Object> additionalParams = new HashMap<String, Object>();

  public InstantiateNsRequestAdditionalParamsForVdu vduId(String vduId) {
    this.vduId = vduId;
    return this;
  }

   /**
   * Get vduId
   * @return vduId
  **/
  @Schema(required = true, description = "")
  public String getVduId() {
    return vduId;
  }

  public void setVduId(String vduId) {
    this.vduId = vduId;
  }

  public InstantiateNsRequestAdditionalParamsForVdu additionalParams(Map<String, Object> additionalParams) {
    this.additionalParams = additionalParams;
    return this;
  }

  public InstantiateNsRequestAdditionalParamsForVdu putAdditionalParamsItem(String key, Object additionalParamsItem) {
    this.additionalParams.put(key, additionalParamsItem);
    return this;
  }

   /**
   * Get additionalParams
   * @return additionalParams
  **/
  @Schema(required = true, description = "")
  public Map<String, Object> getAdditionalParams() {
    return additionalParams;
  }

  public void setAdditionalParams(Map<String, Object> additionalParams) {
    this.additionalParams = additionalParams;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InstantiateNsRequestAdditionalParamsForVdu instantiateNsRequestAdditionalParamsForVdu = (InstantiateNsRequestAdditionalParamsForVdu) o;
    return Objects.equals(this.vduId, instantiateNsRequestAdditionalParamsForVdu.vduId) &&
        Objects.equals(this.additionalParams, instantiateNsRequestAdditionalParamsForVdu.additionalParams);
  }

  @Override
  public int hashCode() {
    return Objects.hash(vduId, additionalParams);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InstantiateNsRequestAdditionalParamsForVdu {\n");

    sb.append("    vduId: ").append(toIndentedString(vduId)).append("\n");
    sb.append("    additionalParams: ").append(toIndentedString(additionalParams)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
